Subject: Re: [PATCH] tcp: Socket option to set congestion window

From: Rick Jones <[email-masked]>
Date: Wed, 26 May 2010 15:29:10 -0700

David Miller wrote:
> From: Andi Kleen <[email-masked]>
> Date: Wed, 26 May 2010 23:27:45 +0200
> 
>>As I understand the idea was that the application knows
>>what flows belong to a single peer and wants to have
>>a single cwnd for all of those. Perhaps there would
>>be a way to generalize that to tell it to the kernel.
>>
>>e.g. have a "peer id"  that is known by applications
>>and the kernel could manage cwnds shared between connections
>>associated with the same peer id?

Then all the app does is say "I'am in peer id foo" right?  Is that really that 
much different from making the setsockopt() call for a different cwnd value? 
Particularly if say the limit were not a global sysctl, but based on the 
existing per-route value (perhaps expanded to have a min, max and default?)

>>Just an idea, I admit I haven't thought very deeply
>>about this. Feel free to poke holes into it.
> 
> Yes, a CWND "domain" that can include multiple sockets is
> something that might gain some traction.
> 
> The "domain" could just simply be the tuple {process,peer-IP}

Name or PID?

rick jones